/*
 * Copyright (C) 2003 Borja Sanchez Zamorano <borsanza@terra.es>
 */

#ifndef DEFINES_H
#define DEFINES_H

#define LONG_ESQUINA 16
#define ANCHO_ZONA_REDIM 3      //Ancho de las bandas laterales del marco de la ventana por la cual al pasar el cursor cambia para resimensionar esta
#define ANCHO_MINIMO_MARCO  64  //Al redimensionar no deja dar una anchura menor que esta
#define ALTO_MINIMO_MARCO  64   //Al redimensionar no deja dar una altura menor que esta

#define NONE -1
#define MOVE 0
#define REDIM_DOWN_LEFT 1
#define REDIM_DOWN_RIGHT 2
#define REDIM_UP_LEFT 3
#define REDIM_UP_RIGHT 4
#define REDIM_LEFT 5
#define REDIM_RIGHT 6
#define REDIM_DOWN 7
#define REDIM_UP 8

typedef struct {
  float x,y,z;
} tpunto;

extern int quitlogo;
extern int pass;

extern int estado;
extern int estado2;

#endif
