/*
 * Copyright (C) 2003 Borja Sanchez Zamorano <borsanza@terra.es>
 */

#include <GL/glut.h>
#include <GL/glpng.h>

#include "defines.h"

#ifndef WINDOW_H
#define WINDOW_H

class Window {

public:
  float distanciaX,distanciaY;  // Distancia desde el donde se pincha la ventana para ser movida hasta la esquina posX posY de esta
  float alpha;                  // Valor de translucidez de la ventana
	float alphab;
  float ancho;                  // Ancho total del marco
  float alto;                     // Alto total del marco
  pngInfo topInfo[3], bottomInfo[3], leftInfo[3], rightInfo[3];
  GLuint topText[3], bottomText[3], leftText[3], rightText[3];
public:
	pngInfo fondoInfo;
	GLuint fondoText;

  void calcularEsquinas(float, float, float, float);
  void loadTextures();

public:
  Window(int,int,int,int, int skin = 1, float alp = 1.0);
  ~Window();
  void draw();
  int estaDentro(int,int);
  void mover(float,float);
  void setDistancia(float,float);               // Salva la distancia desde el ptro del raton a la esquina inferior izquierda
  void redimensionarVentana(float, float, int);
	void Window::setAlpha(float interior, float borde);
	float getX();
	float getY();
  tpunto esquinas[4];                           // Esquinas del marco
};

#endif
