//
// Efecto K1
//
//

#include <GL/glut.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <GL/glpng.h>

pngInfo pI_tex1;
GLuint  h_tex1;

/* precargador de k1 */
bool pre_k1() {
    /* Enable smooth shading */
    glShadeModel( GL_SMOOTH );

    /* Set the background black */
    glClearColor( 0.0f, 0.0f, 0.0f, 0.5f );

    /* Depth buffer setup */
    glClearDepth( 1.0f );

    /* Enables Depth Testing */
    glEnable( GL_DEPTH_TEST );

    /* The Type Of Depth Test To Do */
    glDepthFunc( GL_LEQUAL );

    /* Really Nice Perspective Calculations */
    glHint( GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST );

    // CARGAMOS LA TEXTURA
    h_tex1 = pngBind("./art/k1_bsz.png", PNG_NOMIPMAP, PNG_ALPHA, &pI_tex1, GL_CLAMP, GL_NEAREST, GL_NEAREST);

    return( true );
};


#define max 9.0
#define vel 0.9
GLfloat rot  =0.9f;
bool dir = false;
GLfloat ang = 0.0f;

/* efecto k1 */
void pinta_k1(int width, int height){
	/* pintamos el frame */
	
//	GLfloat dist = (GLfloat) rand() / RAND_MAX * 10;
//	printf("%f\n", dist);
	glLoadIdentity();

	glTranslatef(width>>1, height>>1, 0.0f);
	glRotatef(rot,0.0f, 0.0f, 1.0f);

	if (dir) {
		rot += vel;
		dir = !(rot>max);
	} else {
		rot -= vel; 
		dir = (rot<-max);
	}
/*
	rot = sin(ang)*max + 1;
	ang += 0.1f; 
*/
	glTranslatef(-(width>>1), -(height>>1), 0.0f);
	

	
	/* actualizamos el estado */
//	rot += 0.2;
	
};
